"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
var AudioConfig_js_1 = require("./Audio/AudioConfig.js");
Object.defineProperty(exports, "AudioConfig", { enumerable: true, get: function () { return AudioConfig_js_1.AudioConfig; } });
var AudioStreamFormat_js_1 = require("./Audio/AudioStreamFormat.js");
Object.defineProperty(exports, "AudioStreamFormat", { enumerable: true, get: function () { return AudioStreamFormat_js_1.AudioStreamFormat; } });
Object.defineProperty(exports, "AudioFormatTag", { enumerable: true, get: function () { return AudioStreamFormat_js_1.AudioFormatTag; } });
var AudioInputStream_js_1 = require("./Audio/AudioInputStream.js");
Object.defineProperty(exports, "AudioInputStream", { enumerable: true, get: function () { return AudioInputStream_js_1.AudioInputStream; } });
Object.defineProperty(exports, "PullAudioInputStream", { enumerable: true, get: function () { return AudioInputStream_js_1.PullAudioInputStream; } });
Object.defineProperty(exports, "PushAudioInputStream", { enumerable: true, get: function () { return AudioInputStream_js_1.PushAudioInputStream; } });
var AudioOutputStream_js_1 = require("./Audio/AudioOutputStream.js");
Object.defineProperty(exports, "AudioOutputStream", { enumerable: true, get: function () { return AudioOutputStream_js_1.AudioOutputStream; } });
Object.defineProperty(exports, "PullAudioOutputStream", { enumerable: true, get: function () { return AudioOutputStream_js_1.PullAudioOutputStream; } });
Object.defineProperty(exports, "PushAudioOutputStream", { enumerable: true, get: function () { return AudioOutputStream_js_1.PushAudioOutputStream; } });
var CancellationReason_js_1 = require("./CancellationReason.js");
Object.defineProperty(exports, "CancellationReason", { enumerable: true, get: function () { return CancellationReason_js_1.CancellationReason; } });
var PullAudioInputStreamCallback_js_1 = require("./Audio/PullAudioInputStreamCallback.js");
Object.defineProperty(exports, "PullAudioInputStreamCallback", { enumerable: true, get: function () { return PullAudioInputStreamCallback_js_1.PullAudioInputStreamCallback; } });
var PushAudioOutputStreamCallback_js_1 = require("./Audio/PushAudioOutputStreamCallback.js");
Object.defineProperty(exports, "PushAudioOutputStreamCallback", { enumerable: true, get: function () { return PushAudioOutputStreamCallback_js_1.PushAudioOutputStreamCallback; } });
var KeywordRecognitionModel_js_1 = require("./KeywordRecognitionModel.js");
Object.defineProperty(exports, "KeywordRecognitionModel", { enumerable: true, get: function () { return KeywordRecognitionModel_js_1.KeywordRecognitionModel; } });
var SessionEventArgs_js_1 = require("./SessionEventArgs.js");
Object.defineProperty(exports, "SessionEventArgs", { enumerable: true, get: function () { return SessionEventArgs_js_1.SessionEventArgs; } });
var RecognitionEventArgs_js_1 = require("./RecognitionEventArgs.js");
Object.defineProperty(exports, "RecognitionEventArgs", { enumerable: true, get: function () { return RecognitionEventArgs_js_1.RecognitionEventArgs; } });
var OutputFormat_js_1 = require("./OutputFormat.js");
Object.defineProperty(exports, "OutputFormat", { enumerable: true, get: function () { return OutputFormat_js_1.OutputFormat; } });
var IntentRecognitionEventArgs_js_1 = require("./IntentRecognitionEventArgs.js");
Object.defineProperty(exports, "IntentRecognitionEventArgs", { enumerable: true, get: function () { return IntentRecognitionEventArgs_js_1.IntentRecognitionEventArgs; } });
var RecognitionResult_js_1 = require("./RecognitionResult.js");
Object.defineProperty(exports, "RecognitionResult", { enumerable: true, get: function () { return RecognitionResult_js_1.RecognitionResult; } });
var SpeechRecognitionResult_js_1 = require("./SpeechRecognitionResult.js");
Object.defineProperty(exports, "SpeechRecognitionResult", { enumerable: true, get: function () { return SpeechRecognitionResult_js_1.SpeechRecognitionResult; } });
var IntentRecognitionResult_js_1 = require("./IntentRecognitionResult.js");
Object.defineProperty(exports, "IntentRecognitionResult", { enumerable: true, get: function () { return IntentRecognitionResult_js_1.IntentRecognitionResult; } });
var LanguageUnderstandingModel_js_1 = require("./LanguageUnderstandingModel.js");
Object.defineProperty(exports, "LanguageUnderstandingModel", { enumerable: true, get: function () { return LanguageUnderstandingModel_js_1.LanguageUnderstandingModel; } });
var SpeechRecognitionEventArgs_js_1 = require("./SpeechRecognitionEventArgs.js");
Object.defineProperty(exports, "SpeechRecognitionEventArgs", { enumerable: true, get: function () { return SpeechRecognitionEventArgs_js_1.SpeechRecognitionEventArgs; } });
Object.defineProperty(exports, "ConversationTranscriptionEventArgs", { enumerable: true, get: function () { return SpeechRecognitionEventArgs_js_1.ConversationTranscriptionEventArgs; } });
Object.defineProperty(exports, "MeetingTranscriptionEventArgs", { enumerable: true, get: function () { return SpeechRecognitionEventArgs_js_1.MeetingTranscriptionEventArgs; } });
var SpeechRecognitionCanceledEventArgs_js_1 = require("./SpeechRecognitionCanceledEventArgs.js");
Object.defineProperty(exports, "SpeechRecognitionCanceledEventArgs", { enumerable: true, get: function () { return SpeechRecognitionCanceledEventArgs_js_1.SpeechRecognitionCanceledEventArgs; } });
var TranslationRecognitionEventArgs_js_1 = require("./TranslationRecognitionEventArgs.js");
Object.defineProperty(exports, "TranslationRecognitionEventArgs", { enumerable: true, get: function () { return TranslationRecognitionEventArgs_js_1.TranslationRecognitionEventArgs; } });
var TranslationSynthesisEventArgs_js_1 = require("./TranslationSynthesisEventArgs.js");
Object.defineProperty(exports, "TranslationSynthesisEventArgs", { enumerable: true, get: function () { return TranslationSynthesisEventArgs_js_1.TranslationSynthesisEventArgs; } });
var TranslationRecognitionResult_js_1 = require("./TranslationRecognitionResult.js");
Object.defineProperty(exports, "TranslationRecognitionResult", { enumerable: true, get: function () { return TranslationRecognitionResult_js_1.TranslationRecognitionResult; } });
var TranslationSynthesisResult_js_1 = require("./TranslationSynthesisResult.js");
Object.defineProperty(exports, "TranslationSynthesisResult", { enumerable: true, get: function () { return TranslationSynthesisResult_js_1.TranslationSynthesisResult; } });
var ResultReason_js_1 = require("./ResultReason.js");
Object.defineProperty(exports, "ResultReason", { enumerable: true, get: function () { return ResultReason_js_1.ResultReason; } });
var SpeechConfig_js_1 = require("./SpeechConfig.js");
Object.defineProperty(exports, "SpeechConfig", { enumerable: true, get: function () { return SpeechConfig_js_1.SpeechConfig; } });
Object.defineProperty(exports, "SpeechConfigImpl", { enumerable: true, get: function () { return SpeechConfig_js_1.SpeechConfigImpl; } });
var SpeechTranslationConfig_js_1 = require("./SpeechTranslationConfig.js");
Object.defineProperty(exports, "SpeechTranslationConfig", { enumerable: true, get: function () { return SpeechTranslationConfig_js_1.SpeechTranslationConfig; } });
Object.defineProperty(exports, "SpeechTranslationConfigImpl", { enumerable: true, get: function () { return SpeechTranslationConfig_js_1.SpeechTranslationConfigImpl; } });
var PropertyCollection_js_1 = require("./PropertyCollection.js");
Object.defineProperty(exports, "PropertyCollection", { enumerable: true, get: function () { return PropertyCollection_js_1.PropertyCollection; } });
var PropertyId_js_1 = require("./PropertyId.js");
Object.defineProperty(exports, "PropertyId", { enumerable: true, get: function () { return PropertyId_js_1.PropertyId; } });
var Recognizer_js_1 = require("./Recognizer.js");
Object.defineProperty(exports, "Recognizer", { enumerable: true, get: function () { return Recognizer_js_1.Recognizer; } });
var SpeechRecognizer_js_1 = require("./SpeechRecognizer.js");
Object.defineProperty(exports, "SpeechRecognizer", { enumerable: true, get: function () { return SpeechRecognizer_js_1.SpeechRecognizer; } });
var IntentRecognizer_js_1 = require("./IntentRecognizer.js");
Object.defineProperty(exports, "IntentRecognizer", { enumerable: true, get: function () { return IntentRecognizer_js_1.IntentRecognizer; } });
var VoiceProfileType_js_1 = require("./VoiceProfileType.js");
Object.defineProperty(exports, "VoiceProfileType", { enumerable: true, get: function () { return VoiceProfileType_js_1.VoiceProfileType; } });
var TranslationRecognizer_js_1 = require("./TranslationRecognizer.js");
Object.defineProperty(exports, "TranslationRecognizer", { enumerable: true, get: function () { return TranslationRecognizer_js_1.TranslationRecognizer; } });
var Translations_js_1 = require("./Translations.js");
Object.defineProperty(exports, "Translations", { enumerable: true, get: function () { return Translations_js_1.Translations; } });
var NoMatchReason_js_1 = require("./NoMatchReason.js");
Object.defineProperty(exports, "NoMatchReason", { enumerable: true, get: function () { return NoMatchReason_js_1.NoMatchReason; } });
var NoMatchDetails_js_1 = require("./NoMatchDetails.js");
Object.defineProperty(exports, "NoMatchDetails", { enumerable: true, get: function () { return NoMatchDetails_js_1.NoMatchDetails; } });
var TranslationRecognitionCanceledEventArgs_js_1 = require("./TranslationRecognitionCanceledEventArgs.js");
Object.defineProperty(exports, "TranslationRecognitionCanceledEventArgs", { enumerable: true, get: function () { return TranslationRecognitionCanceledEventArgs_js_1.TranslationRecognitionCanceledEventArgs; } });
var IntentRecognitionCanceledEventArgs_js_1 = require("./IntentRecognitionCanceledEventArgs.js");
Object.defineProperty(exports, "IntentRecognitionCanceledEventArgs", { enumerable: true, get: function () { return IntentRecognitionCanceledEventArgs_js_1.IntentRecognitionCanceledEventArgs; } });
var CancellationDetailsBase_js_1 = require("./CancellationDetailsBase.js");
Object.defineProperty(exports, "CancellationDetailsBase", { enumerable: true, get: function () { return CancellationDetailsBase_js_1.CancellationDetailsBase; } });
var CancellationDetails_js_1 = require("./CancellationDetails.js");
Object.defineProperty(exports, "CancellationDetails", { enumerable: true, get: function () { return CancellationDetails_js_1.CancellationDetails; } });
var CancellationErrorCodes_js_1 = require("./CancellationErrorCodes.js");
Object.defineProperty(exports, "CancellationErrorCode", { enumerable: true, get: function () { return CancellationErrorCodes_js_1.CancellationErrorCode; } });
var ConnectionEventArgs_js_1 = require("./ConnectionEventArgs.js");
Object.defineProperty(exports, "ConnectionEventArgs", { enumerable: true, get: function () { return ConnectionEventArgs_js_1.ConnectionEventArgs; } });
var ServiceEventArgs_js_1 = require("./ServiceEventArgs.js");
Object.defineProperty(exports, "ServiceEventArgs", { enumerable: true, get: function () { return ServiceEventArgs_js_1.ServiceEventArgs; } });
var Connection_js_1 = require("./Connection.js");
Object.defineProperty(exports, "Connection", { enumerable: true, get: function () { return Connection_js_1.Connection; } });
var PhraseListGrammar_js_1 = require("./PhraseListGrammar.js");
Object.defineProperty(exports, "PhraseListGrammar", { enumerable: true, get: function () { return PhraseListGrammar_js_1.PhraseListGrammar; } });
var DialogServiceConfig_js_1 = require("./DialogServiceConfig.js");
Object.defineProperty(exports, "DialogServiceConfig", { enumerable: true, get: function () { return DialogServiceConfig_js_1.DialogServiceConfig; } });
var BotFrameworkConfig_js_1 = require("./BotFrameworkConfig.js");
Object.defineProperty(exports, "BotFrameworkConfig", { enumerable: true, get: function () { return BotFrameworkConfig_js_1.BotFrameworkConfig; } });
var CustomCommandsConfig_js_1 = require("./CustomCommandsConfig.js");
Object.defineProperty(exports, "CustomCommandsConfig", { enumerable: true, get: function () { return CustomCommandsConfig_js_1.CustomCommandsConfig; } });
var DialogServiceConnector_js_1 = require("./DialogServiceConnector.js");
Object.defineProperty(exports, "DialogServiceConnector", { enumerable: true, get: function () { return DialogServiceConnector_js_1.DialogServiceConnector; } });
var ActivityReceivedEventArgs_js_1 = require("./ActivityReceivedEventArgs.js");
Object.defineProperty(exports, "ActivityReceivedEventArgs", { enumerable: true, get: function () { return ActivityReceivedEventArgs_js_1.ActivityReceivedEventArgs; } });
var TurnStatusReceivedEventArgs_js_1 = require("./TurnStatusReceivedEventArgs.js");
Object.defineProperty(exports, "TurnStatusReceivedEventArgs", { enumerable: true, get: function () { return TurnStatusReceivedEventArgs_js_1.TurnStatusReceivedEventArgs; } });
var ServicePropertyChannel_js_1 = require("./ServicePropertyChannel.js");
Object.defineProperty(exports, "ServicePropertyChannel", { enumerable: true, get: function () { return ServicePropertyChannel_js_1.ServicePropertyChannel; } });
var ProfanityOption_js_1 = require("./ProfanityOption.js");
Object.defineProperty(exports, "ProfanityOption", { enumerable: true, get: function () { return ProfanityOption_js_1.ProfanityOption; } });
var BaseAudioPlayer_js_1 = require("./Audio/BaseAudioPlayer.js");
Object.defineProperty(exports, "BaseAudioPlayer", { enumerable: true, get: function () { return BaseAudioPlayer_js_1.BaseAudioPlayer; } });
var ConnectionMessageEventArgs_js_1 = require("./ConnectionMessageEventArgs.js");
Object.defineProperty(exports, "ConnectionMessageEventArgs", { enumerable: true, get: function () { return ConnectionMessageEventArgs_js_1.ConnectionMessageEventArgs; } });
var ConnectionMessage_js_1 = require("./ConnectionMessage.js");
Object.defineProperty(exports, "ConnectionMessage", { enumerable: true, get: function () { return ConnectionMessage_js_1.ConnectionMessage; } });
var VoiceProfile_js_1 = require("./VoiceProfile.js");
Object.defineProperty(exports, "VoiceProfile", { enumerable: true, get: function () { return VoiceProfile_js_1.VoiceProfile; } });
var VoiceProfileEnrollmentResult_js_1 = require("./VoiceProfileEnrollmentResult.js");
Object.defineProperty(exports, "VoiceProfileEnrollmentResult", { enumerable: true, get: function () { return VoiceProfileEnrollmentResult_js_1.VoiceProfileEnrollmentResult; } });
Object.defineProperty(exports, "VoiceProfileEnrollmentCancellationDetails", { enumerable: true, get: function () { return VoiceProfileEnrollmentResult_js_1.VoiceProfileEnrollmentCancellationDetails; } });
var VoiceProfileResult_js_1 = require("./VoiceProfileResult.js");
Object.defineProperty(exports, "VoiceProfileResult", { enumerable: true, get: function () { return VoiceProfileResult_js_1.VoiceProfileResult; } });
Object.defineProperty(exports, "VoiceProfileCancellationDetails", { enumerable: true, get: function () { return VoiceProfileResult_js_1.VoiceProfileCancellationDetails; } });
var VoiceProfilePhraseResult_js_1 = require("./VoiceProfilePhraseResult.js");
Object.defineProperty(exports, "VoiceProfilePhraseResult", { enumerable: true, get: function () { return VoiceProfilePhraseResult_js_1.VoiceProfilePhraseResult; } });
var VoiceProfileClient_js_1 = require("./VoiceProfileClient.js");
Object.defineProperty(exports, "VoiceProfileClient", { enumerable: true, get: function () { return VoiceProfileClient_js_1.VoiceProfileClient; } });
var SpeakerRecognizer_js_1 = require("./SpeakerRecognizer.js");
Object.defineProperty(exports, "SpeakerRecognizer", { enumerable: true, get: function () { return SpeakerRecognizer_js_1.SpeakerRecognizer; } });
var SpeakerIdentificationModel_js_1 = require("./SpeakerIdentificationModel.js");
Object.defineProperty(exports, "SpeakerIdentificationModel", { enumerable: true, get: function () { return SpeakerIdentificationModel_js_1.SpeakerIdentificationModel; } });
var SpeakerVerificationModel_js_1 = require("./SpeakerVerificationModel.js");
Object.defineProperty(exports, "SpeakerVerificationModel", { enumerable: true, get: function () { return SpeakerVerificationModel_js_1.SpeakerVerificationModel; } });
var AutoDetectSourceLanguageConfig_js_1 = require("./AutoDetectSourceLanguageConfig.js");
Object.defineProperty(exports, "AutoDetectSourceLanguageConfig", { enumerable: true, get: function () { return AutoDetectSourceLanguageConfig_js_1.AutoDetectSourceLanguageConfig; } });
var AutoDetectSourceLanguageResult_js_1 = require("./AutoDetectSourceLanguageResult.js");
Object.defineProperty(exports, "AutoDetectSourceLanguageResult", { enumerable: true, get: function () { return AutoDetectSourceLanguageResult_js_1.AutoDetectSourceLanguageResult; } });
var SourceLanguageConfig_js_1 = require("./SourceLanguageConfig.js");
Object.defineProperty(exports, "SourceLanguageConfig", { enumerable: true, get: function () { return SourceLanguageConfig_js_1.SourceLanguageConfig; } });
var SpeakerRecognitionResult_js_1 = require("./SpeakerRecognitionResult.js");
Object.defineProperty(exports, "SpeakerRecognitionResult", { enumerable: true, get: function () { return SpeakerRecognitionResult_js_1.SpeakerRecognitionResult; } });
Object.defineProperty(exports, "SpeakerRecognitionResultType", { enumerable: true, get: function () { return SpeakerRecognitionResult_js_1.SpeakerRecognitionResultType; } });
Object.defineProperty(exports, "SpeakerRecognitionCancellationDetails", { enumerable: true, get: function () { return SpeakerRecognitionResult_js_1.SpeakerRecognitionCancellationDetails; } });
var Exports_js_1 = require("./Transcription/Exports.js");
Object.defineProperty(exports, "Conversation", { enumerable: true, get: function () { return Exports_js_1.Conversation; } });
Object.defineProperty(exports, "ConversationExpirationEventArgs", { enumerable: true, get: function () { return Exports_js_1.ConversationExpirationEventArgs; } });
Object.defineProperty(exports, "ConversationParticipantsChangedEventArgs", { enumerable: true, get: function () { return Exports_js_1.ConversationParticipantsChangedEventArgs; } });
Object.defineProperty(exports, "ConversationTranslationCanceledEventArgs", { enumerable: true, get: function () { return Exports_js_1.ConversationTranslationCanceledEventArgs; } });
Object.defineProperty(exports, "ConversationTranslationEventArgs", { enumerable: true, get: function () { return Exports_js_1.ConversationTranslationEventArgs; } });
Object.defineProperty(exports, "ConversationTranslationResult", { enumerable: true, get: function () { return Exports_js_1.ConversationTranslationResult; } });
Object.defineProperty(exports, "ConversationTranslator", { enumerable: true, get: function () { return Exports_js_1.ConversationTranslator; } });
Object.defineProperty(exports, "ConversationTranscriber", { enumerable: true, get: function () { return Exports_js_1.ConversationTranscriber; } });
Object.defineProperty(exports, "ConversationTranscriptionResult", { enumerable: true, get: function () { return Exports_js_1.ConversationTranscriptionResult; } });
Object.defineProperty(exports, "Meeting", { enumerable: true, get: function () { return Exports_js_1.Meeting; } });
Object.defineProperty(exports, "MeetingTranscriber", { enumerable: true, get: function () { return Exports_js_1.MeetingTranscriber; } });
Object.defineProperty(exports, "Participant", { enumerable: true, get: function () { return Exports_js_1.Participant; } });
Object.defineProperty(exports, "ParticipantChangedReason", { enumerable: true, get: function () { return Exports_js_1.ParticipantChangedReason; } });
Object.defineProperty(exports, "User", { enumerable: true, get: function () { return Exports_js_1.User; } });
var Synthesizer_js_1 = require("./Synthesizer.js");
Object.defineProperty(exports, "Synthesizer", { enumerable: true, get: function () { return Synthesizer_js_1.Synthesizer; } });
var SpeechSynthesisOutputFormat_js_1 = require("./SpeechSynthesisOutputFormat.js");
Object.defineProperty(exports, "SpeechSynthesisOutputFormat", { enumerable: true, get: function () { return SpeechSynthesisOutputFormat_js_1.SpeechSynthesisOutputFormat; } });
var SpeechSynthesizer_js_1 = require("./SpeechSynthesizer.js");
Object.defineProperty(exports, "SpeechSynthesizer", { enumerable: true, get: function () { return SpeechSynthesizer_js_1.SpeechSynthesizer; } });
var SynthesisResult_js_1 = require("./SynthesisResult.js");
Object.defineProperty(exports, "SynthesisResult", { enumerable: true, get: function () { return SynthesisResult_js_1.SynthesisResult; } });
var SpeechSynthesisResult_js_1 = require("./SpeechSynthesisResult.js");
Object.defineProperty(exports, "SpeechSynthesisResult", { enumerable: true, get: function () { return SpeechSynthesisResult_js_1.SpeechSynthesisResult; } });
var SpeechSynthesisEventArgs_js_1 = require("./SpeechSynthesisEventArgs.js");
Object.defineProperty(exports, "SpeechSynthesisEventArgs", { enumerable: true, get: function () { return SpeechSynthesisEventArgs_js_1.SpeechSynthesisEventArgs; } });
var SpeechSynthesisWordBoundaryEventArgs_js_1 = require("./SpeechSynthesisWordBoundaryEventArgs.js");
Object.defineProperty(exports, "SpeechSynthesisWordBoundaryEventArgs", { enumerable: true, get: function () { return SpeechSynthesisWordBoundaryEventArgs_js_1.SpeechSynthesisWordBoundaryEventArgs; } });
var SpeechSynthesisBookmarkEventArgs_js_1 = require("./SpeechSynthesisBookmarkEventArgs.js");
Object.defineProperty(exports, "SpeechSynthesisBookmarkEventArgs", { enumerable: true, get: function () { return SpeechSynthesisBookmarkEventArgs_js_1.SpeechSynthesisBookmarkEventArgs; } });
var SpeechSynthesisVisemeEventArgs_js_1 = require("./SpeechSynthesisVisemeEventArgs.js");
Object.defineProperty(exports, "SpeechSynthesisVisemeEventArgs", { enumerable: true, get: function () { return SpeechSynthesisVisemeEventArgs_js_1.SpeechSynthesisVisemeEventArgs; } });
var SpeechSynthesisBoundaryType_js_1 = require("./SpeechSynthesisBoundaryType.js");
Object.defineProperty(exports, "SpeechSynthesisBoundaryType", { enumerable: true, get: function () { return SpeechSynthesisBoundaryType_js_1.SpeechSynthesisBoundaryType; } });
var SynthesisVoicesResult_js_1 = require("./SynthesisVoicesResult.js");
Object.defineProperty(exports, "SynthesisVoicesResult", { enumerable: true, get: function () { return SynthesisVoicesResult_js_1.SynthesisVoicesResult; } });
var VoiceInfo_js_1 = require("./VoiceInfo.js");
Object.defineProperty(exports, "SynthesisVoiceGender", { enumerable: true, get: function () { return VoiceInfo_js_1.SynthesisVoiceGender; } });
Object.defineProperty(exports, "SynthesisVoiceType", { enumerable: true, get: function () { return VoiceInfo_js_1.SynthesisVoiceType; } });
Object.defineProperty(exports, "VoiceInfo", { enumerable: true, get: function () { return VoiceInfo_js_1.VoiceInfo; } });
var SpeakerAudioDestination_js_1 = require("./Audio/SpeakerAudioDestination.js");
Object.defineProperty(exports, "SpeakerAudioDestination", { enumerable: true, get: function () { return SpeakerAudioDestination_js_1.SpeakerAudioDestination; } });
var ConversationTranscriptionCanceledEventArgs_js_1 = require("./ConversationTranscriptionCanceledEventArgs.js");
Object.defineProperty(exports, "ConversationTranscriptionCanceledEventArgs", { enumerable: true, get: function () { return ConversationTranscriptionCanceledEventArgs_js_1.ConversationTranscriptionCanceledEventArgs; } });
var MeetingTranscriptionCanceledEventArgs_js_1 = require("./MeetingTranscriptionCanceledEventArgs.js");
Object.defineProperty(exports, "MeetingTranscriptionCanceledEventArgs", { enumerable: true, get: function () { return MeetingTranscriptionCanceledEventArgs_js_1.MeetingTranscriptionCanceledEventArgs; } });
var PronunciationAssessmentGradingSystem_js_1 = require("./PronunciationAssessmentGradingSystem.js");
Object.defineProperty(exports, "PronunciationAssessmentGradingSystem", { enumerable: true, get: function () { return PronunciationAssessmentGradingSystem_js_1.PronunciationAssessmentGradingSystem; } });
var PronunciationAssessmentGranularity_js_1 = require("./PronunciationAssessmentGranularity.js");
Object.defineProperty(exports, "PronunciationAssessmentGranularity", { enumerable: true, get: function () { return PronunciationAssessmentGranularity_js_1.PronunciationAssessmentGranularity; } });
var PronunciationAssessmentConfig_js_1 = require("./PronunciationAssessmentConfig.js");
Object.defineProperty(exports, "PronunciationAssessmentConfig", { enumerable: true, get: function () { return PronunciationAssessmentConfig_js_1.PronunciationAssessmentConfig; } });
var PronunciationAssessmentResult_js_1 = require("./PronunciationAssessmentResult.js");
Object.defineProperty(exports, "PronunciationAssessmentResult", { enumerable: true, get: function () { return PronunciationAssessmentResult_js_1.PronunciationAssessmentResult; } });
var LanguageIdMode_js_1 = require("./LanguageIdMode.js");
Object.defineProperty(exports, "LanguageIdMode", { enumerable: true, get: function () { return LanguageIdMode_js_1.LanguageIdMode; } });
var AvatarConfig_js_1 = require("./AvatarConfig.js");
Object.defineProperty(exports, "AvatarConfig", { enumerable: true, get: function () { return AvatarConfig_js_1.AvatarConfig; } });
var AvatarEventArgs_js_1 = require("./AvatarEventArgs.js");
Object.defineProperty(exports, "AvatarEventArgs", { enumerable: true, get: function () { return AvatarEventArgs_js_1.AvatarEventArgs; } });
var AvatarSynthesizer_js_1 = require("./AvatarSynthesizer.js");
Object.defineProperty(exports, "AvatarSynthesizer", { enumerable: true, get: function () { return AvatarSynthesizer_js_1.AvatarSynthesizer; } });
var AvatarVideoFormat_js_1 = require("./AvatarVideoFormat.js");
Object.defineProperty(exports, "AvatarVideoFormat", { enumerable: true, get: function () { return AvatarVideoFormat_js_1.AvatarVideoFormat; } });
Object.defineProperty(exports, "Coordinate", { enumerable: true, get: function () { return AvatarVideoFormat_js_1.Coordinate; } });
var AvatarWebRTCConnectionResult_js_1 = require("./AvatarWebRTCConnectionResult.js");
Object.defineProperty(exports, "AvatarWebRTCConnectionResult", { enumerable: true, get: function () { return AvatarWebRTCConnectionResult_js_1.AvatarWebRTCConnectionResult; } });
var Diagnostics_js_1 = require("./Diagnostics.js");
Object.defineProperty(exports, "Diagnostics", { enumerable: true, get: function () { return Diagnostics_js_1.Diagnostics; } });
var LogLevel_js_1 = require("./LogLevel.js");
Object.defineProperty(exports, "LogLevel", { enumerable: true, get: function () { return LogLevel_js_1.LogLevel; } });

//# sourceMappingURL=Exports.js.map
